# $Revision: 1.30 $, $Date: 2011/08/31 18:32:25 $
Summary:	Binary file editor based on ncurses
Summary(fr.UTF-8):	Visualisation et edition de fichiers en hexadecimal ou en ASCII
Summary(pl.UTF-8):	Edytor plików binarnych oparty na bibliotece ncurses
Summary(pt_BR.UTF-8):	O hexedit é um editor hexadecimal de arquivos em modo texo
Name:		hexedit
Version:	1.2.12
Release:	2
License:	GPL v2
Group:		Applications/Editors
Source0:	http://merd.net/pixel/%{name}-%{version}.src.tgz
# Source0-md5:	0d2f48610006278cd93359fea9a06d5c
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.chez.com/prigaux/hexedit.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
hexedit shows a file both in ASCII and in hexadecimal. The file can be
a device as the file is read a piece at a time. You can modify the
file and search through it.

%description -l fr.UTF-8
hexedit montre le fichier à la fois en ASCII et en hexadécimal. Le
fichier peut être un device vu que le fichier est lu par petit
morceau. Possibilité de modifier le fichier et de faire une recherche.

%description -l pl.UTF-8
Przeglądanie i edycja plików w formacie hexadecymalnym lub w ASCII.
hexedit pokazuje plik w zarówno w postaci ASCII jak i hexadecymalnej.
Można przeszukiwać modyfikowany plik.

%description -l pt_BR.UTF-8
O hexedit mostra um arquivo em ASCII e hexadecimal. O arquivo pode ser
um dispositivo, visto que é lido apenas aquilo que vai ser mostrado.
Pode-se modificar o arquivo e procurar padrões em seu conteúdo.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
%{__aclocal}
%{__autoconf}
%configure \
	LIBS="-ltinfo"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%doc Changes TODO
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hexedit.spec,v $
Revision 1.30  2011/08/31 18:32:25  arekm
- release 2

Revision 1.29  2011/01/06 20:13:16  sparky
- fix build with --no-add-needed ldflag

Revision 1.28  2007/02/18 13:20:03  qboosh
- pl cosmetic

Revision 1.27  2007/02/18 11:43:19  gotar
- upgraded to 1.2.12

Revision 1.26  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.24  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.23  2005/02/20 09:20:00  megabajt
- proper license

Revision 1.22  2004/08/31 14:44:50  snurf
- typos / formatting / etc.

Revision 1.21  2004/08/03 16:59:16  undefine
- update to 1.2.10

Revision 1.20  2003/12/01 02:31:38  undefine
- release 3 to rebuild with ac

Revision 1.19  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 05:48:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2002/12/02 11:06:20  ankry
- massive cleaning

Revision 1.16  2002/11/27 21:10:38  juandon
- new %%doc

Revision 1.15  2002/10/09 13:14:33  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/05/21 23:13:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/04/25 16:33:47  arturs
fixed a small typo

Revision 1.12  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/12/06 06:32:19  kloczek
- updated to 1.2.2 (was long time not updated),
- merged translations from Conectiva,
- updated Source url.

Revision 1.9  2001/10/10 15:06:29  qboosh
- BuildRequires: autoconf, automake

Revision 1.8  2001/09/18 19:42:27  blues
- Release 2
- ac2.5 ready

Revision 1.7  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/07/25 14:44:10  kloczek
- updated to 1.1.0,
- added fr, pl translations from MDK spec,
- rewrited for using DESTDIR style %install.

Revision 1.5  2000/07/13 23:10:41  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.4  2000/07/13 20:42:25  baggins
- release 2

Revision 1.3  2000/05/21 14:46:41  kloczek
- spec adapterized.

Revision 1.2  2000/05/01 23:51:59  kloczek
- rewrited in PLD style.

Revision 1.1  2000/04/27 07:39:30  wiejak
- initial release.
